diff --git a/.gitignore b/.gitignore
index 20c453136cd1..002ae25ec9c8 100644
--- a/.gitignore
+++ b/.gitignore
@@ -1,7 +1,6 @@
 /distfiles
 /packages
 /security/vuxml/vuln-flat.xml
-Makefile.local
 /*/*/work
 /*/*/work-*
 /INDEX-[0-9]*
diff --git a/CVS/Entries b/CVS/Entries
new file mode 100644
index 000000000000..461b9c9a003e
--- /dev/null
+++ b/CVS/Entries
@@ -0,0 +1,6 @@
+D/editors////
+D/graphics////
+D/lang////
+D/local////
+/Makefile.local/1.1/Sat Jul  3 09:56:56 2021//
+D/devel////
diff --git a/CVS/Repository b/CVS/Repository
new file mode 100644
index 000000000000..038c99d1d2e1
--- /dev/null
+++ b/CVS/Repository
@@ -0,0 +1 @@
+config/freebsd/E590T/usr/ports
diff --git a/CVS/Root b/CVS/Root
new file mode 100644
index 000000000000..990b5ff64229
--- /dev/null
+++ b/CVS/Root
@@ -0,0 +1 @@
+:pserver:trond@localhost:2401/home/cvs/cvsroot
diff --git a/Makefile b/Makefile
index ad4b13aec200..8fadc66957fc 100644
--- a/Makefile
+++ b/Makefile
@@ -111,7 +111,7 @@ MAKE_INDEX=	perl ${.CURDIR}/Tools/make_index
 .endif
 
 ${INDEXDIR}/${INDEXFILE}:
-	@${INDEX_ECHO_1ST} "Generating ${INDEXFILE} - please wait.."; \
+	@echo "Generating ${INDEXFILE} - please wait ..."; \
 	if [ "${INDEX_PRISTINE}" != "" ]; then \
 		export LOCALBASE=/nonexistentlocal; \
 	fi; \
diff --git a/Makefile.local b/Makefile.local
new file mode 100644
index 000000000000..0bad471e5169
--- /dev/null
+++ b/Makefile.local
@@ -0,0 +1,3 @@
+# $UFP: config/freebsd/E590T/usr/ports/Makefile.local,v 1.1 2019-10-19 12:36:25 trond Exp $
+
+SUBDIR+=	local
diff --git a/Mk/Uses/ncurses.mk b/Mk/Uses/ncurses.mk
index 6fad636a5ab4..b656052c402d 100644
--- a/Mk/Uses/ncurses.mk
+++ b/Mk/Uses/ncurses.mk
@@ -36,6 +36,7 @@ ncurses_ARGS=	port
 NCURSESBASE=	/usr
 NCURSESINC=	${NCURSESBASE}/include
 
+.  if !${.TARGETS:Mfetch} && !${.TARGETS:Mfetch-recursive}
 .  if exists(${LOCALBASE}/lib/libncurses.so)
 _USES_sanity+=	400:check-depends-ncurses
 check-depends-ncurses:
@@ -45,6 +46,7 @@ check-depends-ncurses:
 	@${ECHO_CMD} "Please deinstall the port or undefine WITH_NCURSES_BASE."
 	@${FALSE}
 .  endif
+.  endif
 
 .elif ${ncurses_ARGS} == port
 NCURSESBASE=	${LOCALBASE}
diff --git a/Mk/Uses/php.mk b/Mk/Uses/php.mk
index 7a0bf584efdd..b8da83f1e3d4 100644
--- a/Mk/Uses/php.mk
+++ b/Mk/Uses/php.mk
@@ -120,9 +120,11 @@ _INSTALLED_PHP_VER:=	${PHP_VER}
 # If we have an installed version of PHP, and this does not support it, set
 # IGNORE to fail early as you cannot install two different versions of PHP at
 # the same time anyway.
+.    if !${.TARGETS:Mfetch} && !${.TARGETS:Mfetch-recursive}
 .    if defined(IGNORE_WITH_PHP) && ${IGNORE_WITH_PHP:M${_INSTALLED_PHP_VER}}
 IGNORE=	does not work with PHP versions "${IGNORE_WITH_PHP}" and "${_INSTALLED_PHP_VER}" is installed.
 .    endif
+.    endif
 
 .  else
 PHP_VER?=	${PHP_DEFAULT:S/.//}
@@ -216,6 +218,7 @@ PHP_PKGNAMEPREFIX=	php${PHP_VER}-
 PHP_PKGNAMESUFFIX=	-php${PHP_VER}
 PECL_PKGNAMEPREFIX=	php${PHP_VER}-pecl-
 
+.  if !${.TARGETS:Mfetch} && !${.TARGETS:Mfetch-recursive}
 .  if defined(IGNORE_WITH_PHP)
 .    for VER in ${IGNORE_WITH_PHP}
 .      if ${PHP_VER} == "${VER}"
@@ -225,6 +228,7 @@ IGNORE=		cannot be installed: doesn't work with lang/php${PHP_VER} port\
 .      endif
 .    endfor
 .  endif
+.  endif
 
 .  if ${php_ARGS:Mweb}
 .    if ${php_ARGS:Mcgi} || ${php_ARGS:Mmod}
diff --git a/Mk/bsd.gecko.mk b/Mk/bsd.gecko.mk
index bd29efe9cad0..df5372bc7e02 100644
--- a/Mk/bsd.gecko.mk
+++ b/Mk/bsd.gecko.mk
@@ -127,6 +127,12 @@ RUSTFLAGS+=	${CFLAGS:M-mcpu=*:S/-mcpu=/-C target-cpu=/:S/power/pwr/}
 RUSTFLAGS+=	${CFLAGS:M-mcpu=*:S/-mcpu=/-C target-cpu=/}
 .endif
 
+# https://reviews.freebsd.org/D14154
+.if defined(WITH_CCACHE_BUILD)
+MOZ_OPTIONS+=   --with-ccache
+BUILD_DEPENDS+= ccache:devel/ccache # XXX host ccache not detected/honoured
+.endif
+
 # Standard depends
 _ALL_DEPENDS=	av1 event ffi graphite harfbuzz icu jpeg nspr nss png pixman sqlite vpx webp
 
diff --git a/deskutils/bookworm/Makefile b/deskutils/bookworm/Makefile
index f832ab827aee..578603aa6e8b 100644
--- a/deskutils/bookworm/Makefile
+++ b/deskutils/bookworm/Makefile
@@ -21,7 +21,7 @@ LIB_DEPENDS=	libappstream-glib.so:devel/appstream-glib \
 RUN_DEPENDS=	bash:shells/bash \
 		pdftohtml:graphics/poppler-utils \
 		unar:archivers/unarchiver \
-		unzip:archivers/unzip
+		unzip>0:archivers/unzip
 
 USES=		desktop-file-utils gettext gnome meson pkgconfig \
 		python:build,run shebangfix sqlite
diff --git a/devel/CVS/Entries b/devel/CVS/Entries
new file mode 100644
index 000000000000..0ebbf085597b
--- /dev/null
+++ b/devel/CVS/Entries
@@ -0,0 +1 @@
+D/RStudio////
diff --git a/devel/CVS/Repository b/devel/CVS/Repository
new file mode 100644
index 000000000000..a03034991aee
--- /dev/null
+++ b/devel/CVS/Repository
@@ -0,0 +1 @@
+config/freebsd/E590T/usr/ports/devel
diff --git a/devel/CVS/Root b/devel/CVS/Root
new file mode 100644
index 000000000000..990b5ff64229
--- /dev/null
+++ b/devel/CVS/Root
@@ -0,0 +1 @@
+:pserver:trond@localhost:2401/home/cvs/cvsroot
diff --git a/devel/RStudio/CVS/Entries b/devel/RStudio/CVS/Entries
new file mode 100644
index 000000000000..f3d5ce312ab8
--- /dev/null
+++ b/devel/RStudio/CVS/Entries
@@ -0,0 +1,2 @@
+/Makefile.local/1.1/Mon Oct 11 18:25:23 2021//
+D
diff --git a/devel/RStudio/CVS/Repository b/devel/RStudio/CVS/Repository
new file mode 100644
index 000000000000..87614339d069
--- /dev/null
+++ b/devel/RStudio/CVS/Repository
@@ -0,0 +1 @@
+config/freebsd/E590T/usr/ports/devel/RStudio
diff --git a/devel/RStudio/CVS/Root b/devel/RStudio/CVS/Root
new file mode 100644
index 000000000000..990b5ff64229
--- /dev/null
+++ b/devel/RStudio/CVS/Root
@@ -0,0 +1 @@
+:pserver:trond@localhost:2401/home/cvs/cvsroot
diff --git a/devel/RStudio/Makefile.local b/devel/RStudio/Makefile.local
new file mode 100644
index 000000000000..643843f8fca8
--- /dev/null
+++ b/devel/RStudio/Makefile.local
@@ -0,0 +1,8 @@
+# $UFP: config/freebsd/E590T/usr/ports/devel/RStudio/Makefile.local,v 1.1 2021-10-11 18:25:23 trond Exp $
+
+.if !defined(NO_CCACHE) && defined(WITH_CCACHE_BUILD)
+CMAKE_ARGS+=	-DCMAKE_C_COMPILER_LAUNCHER=${CCACHE_BIN}
+CMAKE_ARGS+=	-DCMAKE_CXX_COMPILER_LAUNCHER=${CCACHE_BIN}
+.endif
+
+# EOF
diff --git a/devel/electron12/files/patch-third__party_nasm_include_compiler.h b/devel/electron12/files/patch-third__party_nasm_include_compiler.h
new file mode 100644
index 000000000000..6d6203874d42
--- /dev/null
+++ b/devel/electron12/files/patch-third__party_nasm_include_compiler.h
@@ -0,0 +1,17 @@
+--- third_party/nasm/include/compiler.h.orig	2021-04-14 01:15:25 UTC
++++ third_party/nasm/include/compiler.h
+@@ -245,12 +245,14 @@ char *strsep(char **, const char *);
+ size_t strnlen(const char *s, size_t maxlen);
+ #endif
+ 
++/*
+ #ifndef HAVE_MEMPCPY
+ static inline void *mempcpy(void *dst, const void *src, size_t n)
+ {
+     return (char *)memcpy(dst, src, n) + n;
+ }
+ #endif
++*/
+ 
+ /*
+  * Hack to support external-linkage inline functions
diff --git a/editors/CVS/Entries b/editors/CVS/Entries
new file mode 100644
index 000000000000..8da00dd6c382
--- /dev/null
+++ b/editors/CVS/Entries
@@ -0,0 +1 @@
+D/libreoffice////
diff --git a/editors/CVS/Repository b/editors/CVS/Repository
new file mode 100644
index 000000000000..cbb7f923beb4
--- /dev/null
+++ b/editors/CVS/Repository
@@ -0,0 +1 @@
+config/freebsd/E590T/usr/ports/editors
diff --git a/editors/CVS/Root b/editors/CVS/Root
new file mode 100644
index 000000000000..990b5ff64229
--- /dev/null
+++ b/editors/CVS/Root
@@ -0,0 +1 @@
+:pserver:trond@localhost:2401/home/cvs/cvsroot
diff --git a/editors/libreoffice/CVS/Entries b/editors/libreoffice/CVS/Entries
new file mode 100644
index 000000000000..178481050188
--- /dev/null
+++ b/editors/libreoffice/CVS/Entries
@@ -0,0 +1 @@
+D
diff --git a/editors/libreoffice/CVS/Repository b/editors/libreoffice/CVS/Repository
new file mode 100644
index 000000000000..18b045ac5485
--- /dev/null
+++ b/editors/libreoffice/CVS/Repository
@@ -0,0 +1 @@
+config/freebsd/E590T/usr/ports/editors/libreoffice
diff --git a/editors/libreoffice/CVS/Root b/editors/libreoffice/CVS/Root
new file mode 100644
index 000000000000..990b5ff64229
--- /dev/null
+++ b/editors/libreoffice/CVS/Root
@@ -0,0 +1 @@
+:pserver:trond@localhost:2401/home/cvs/cvsroot
diff --git a/graphics/CVS/Entries b/graphics/CVS/Entries
new file mode 100644
index 000000000000..028f62b1d454
--- /dev/null
+++ b/graphics/CVS/Entries
@@ -0,0 +1 @@
+D/drm-kmod////
diff --git a/graphics/CVS/Repository b/graphics/CVS/Repository
new file mode 100644
index 000000000000..f078d4dd453f
--- /dev/null
+++ b/graphics/CVS/Repository
@@ -0,0 +1 @@
+config/freebsd/E590T/usr/ports/graphics
diff --git a/graphics/CVS/Root b/graphics/CVS/Root
new file mode 100644
index 000000000000..990b5ff64229
--- /dev/null
+++ b/graphics/CVS/Root
@@ -0,0 +1 @@
+:pserver:trond@localhost:2401/home/cvs/cvsroot
diff --git a/graphics/drm-kmod/CVS/Entries b/graphics/drm-kmod/CVS/Entries
new file mode 100644
index 000000000000..178481050188
--- /dev/null
+++ b/graphics/drm-kmod/CVS/Entries
@@ -0,0 +1 @@
+D
diff --git a/graphics/drm-kmod/CVS/Repository b/graphics/drm-kmod/CVS/Repository
new file mode 100644
index 000000000000..bf51ad74cc2b
--- /dev/null
+++ b/graphics/drm-kmod/CVS/Repository
@@ -0,0 +1 @@
+config/freebsd/E590T/usr/ports/graphics/drm-kmod
diff --git a/graphics/drm-kmod/CVS/Root b/graphics/drm-kmod/CVS/Root
new file mode 100644
index 000000000000..990b5ff64229
--- /dev/null
+++ b/graphics/drm-kmod/CVS/Root
@@ -0,0 +1 @@
+:pserver:trond@localhost:2401/home/cvs/cvsroot
diff --git a/lang/CVS/Entries b/lang/CVS/Entries
new file mode 100644
index 000000000000..bf0e33bb5cc2
--- /dev/null
+++ b/lang/CVS/Entries
@@ -0,0 +1 @@
+D/mono////
diff --git a/lang/CVS/Repository b/lang/CVS/Repository
new file mode 100644
index 000000000000..0a4cc0f54b6d
--- /dev/null
+++ b/lang/CVS/Repository
@@ -0,0 +1 @@
+config/freebsd/E590T/usr/ports/lang
diff --git a/lang/CVS/Root b/lang/CVS/Root
new file mode 100644
index 000000000000..990b5ff64229
--- /dev/null
+++ b/lang/CVS/Root
@@ -0,0 +1 @@
+:pserver:trond@localhost:2401/home/cvs/cvsroot
diff --git a/lang/mono/CVS/Entries b/lang/mono/CVS/Entries
new file mode 100644
index 000000000000..178481050188
--- /dev/null
+++ b/lang/mono/CVS/Entries
@@ -0,0 +1 @@
+D
diff --git a/lang/mono/CVS/Repository b/lang/mono/CVS/Repository
new file mode 100644
index 000000000000..d04fc90172e5
--- /dev/null
+++ b/lang/mono/CVS/Repository
@@ -0,0 +1 @@
+config/freebsd/E590T/usr/ports/lang/mono
diff --git a/lang/mono/CVS/Root b/lang/mono/CVS/Root
new file mode 100644
index 000000000000..990b5ff64229
--- /dev/null
+++ b/lang/mono/CVS/Root
@@ -0,0 +1 @@
+:pserver:trond@localhost:2401/home/cvs/cvsroot
diff --git a/local/CVS/Entries b/local/CVS/Entries
new file mode 100644
index 000000000000..87ad2cd9b337
--- /dev/null
+++ b/local/CVS/Entries
@@ -0,0 +1,2 @@
+D/E590T-localbase////
+/Makefile/1.3/Sat Jul  3 09:56:56 2021//
diff --git a/local/CVS/Repository b/local/CVS/Repository
new file mode 100644
index 000000000000..6677af470c3d
--- /dev/null
+++ b/local/CVS/Repository
@@ -0,0 +1 @@
+config/freebsd/E590T/usr/ports/local
diff --git a/local/CVS/Root b/local/CVS/Root
new file mode 100644
index 000000000000..990b5ff64229
--- /dev/null
+++ b/local/CVS/Root
@@ -0,0 +1 @@
+:pserver:trond@localhost:2401/home/cvs/cvsroot
diff --git a/local/E590T-localbase/CVS/Entries b/local/E590T-localbase/CVS/Entries
new file mode 100644
index 000000000000..bada94ab954c
--- /dev/null
+++ b/local/E590T-localbase/CVS/Entries
@@ -0,0 +1,3 @@
+/pkg-descr/1.1/Sat Jul  3 09:56:56 2021//
+/Makefile/1.177/Wed Nov  3 15:27:30 2021//
+D
diff --git a/local/E590T-localbase/CVS/Repository b/local/E590T-localbase/CVS/Repository
new file mode 100644
index 000000000000..820771b62682
--- /dev/null
+++ b/local/E590T-localbase/CVS/Repository
@@ -0,0 +1 @@
+config/freebsd/E590T/usr/ports/local/E590T-localbase
diff --git a/local/E590T-localbase/CVS/Root b/local/E590T-localbase/CVS/Root
new file mode 100644
index 000000000000..990b5ff64229
--- /dev/null
+++ b/local/E590T-localbase/CVS/Root
@@ -0,0 +1 @@
+:pserver:trond@localhost:2401/home/cvs/cvsroot
diff --git a/local/E590T-localbase/Makefile b/local/E590T-localbase/Makefile
new file mode 100644
index 000000000000..27e7b0c9a3e7
--- /dev/null
+++ b/local/E590T-localbase/Makefile
@@ -0,0 +1,499 @@
+# $UFP: config/freebsd/E590T/usr/ports/local/E590T-localbase/Makefile,v 1.177 2021-11-03 15:27:30 trond Exp $
+
+PORTNAME=		E590T-localbase
+PORTVERSION=		2021110300
+PORTREVISION=		0
+CATEGORIES=		local
+VALID_CATEGORIES+=	local
+
+MAINTAINER=		hostmaster@localhost
+COMMENT=		Software needed on E590T.ufp
+
+USES=			metaport
+
+NO_WRKSUBDIR=		yes
+
+# pkg query 'RUN_DEPENDS+=\t\t%n>0:%o' category/name
+# RUN_DEPENDS+=		packagename>0:category/portname@flavour
+
+# This one-liner for /bin/sh displays the origins of the ports that have flavour annotations.
+# for p in `pkg info -q`; do o=`pkg query %o ${p}`; f=`pkg info --annotations ${p} | awk '/flavor/{print $3}'`; [ -n "${f}" ] && echo ${o}@${f}; done; unset p o f
+
+RUN_DEPENDS+=		pkg>0:ports-mgmt/pkg
+RUN_DEPENDS+=		dialog4ports>0:ports-mgmt/dialog4ports
+RUN_DEPENDS+=		ccache>0:devel/ccache
+RUN_DEPENDS+=		poudriere>0:ports-mgmt/poudriere
+RUN_DEPENDS+=		synth>0:ports-mgmt/synth
+
+RUN_DEPENDS+=		6cord>0:net-im/6cord
+RUN_DEPENDS+=		915resolution>0:sysutils/915resolution
+RUN_DEPENDS+=		Cura>0:cad/cura
+RUN_DEPENDS+=		knightcap>0:games/KnightCap
+RUN_DEPENDS+=		R>0:math/R
+RUN_DEPENDS+=		RStudio>0:devel/RStudio@desktop
+RUN_DEPENDS+=		affenspiel>0:games/affenspiel
+RUN_DEPENDS+=		afternoonstalker>0:games/afternoonstalker
+RUN_DEPENDS+=		aide>0:security/aide
+RUN_DEPENDS+=		aircrack-ng>0:net-mgmt/aircrack-ng
+RUN_DEPENDS+=		alacritty>0:x11/alacritty
+RUN_DEPENDS+=		alienarena>0:games/alienarena
+RUN_DEPENDS+=		alienblaster>0:games/alienblaster
+RUN_DEPENDS+=		alpine>0:mail/alpine
+RUN_DEPENDS+=		py39-ansible>0:sysutils/ansible@py39
+RUN_DEPENDS+=		apache24>0:www/apache24
+RUN_DEPENDS+=		apachetop>0:sysutils/apachetop
+RUN_DEPENDS+=		atop>0:sysutils/atop
+RUN_DEPENDS+=		auctex-emacs27>0:print/auctex@full
+RUN_DEPENDS+=		base-audit>0:security/base-audit
+RUN_DEPENDS+=		bash>0:shells/bash
+RUN_DEPENDS+=		bashtop>0:sysutils/bashtop
+RUN_DEPENDS+=		bat>0:textproc/bat
+RUN_DEPENDS+=		btanks>0:games/battletanks
+RUN_DEPENDS+=		beadm>0:sysutils/beadm
+RUN_DEPENDS+=		bind916>0:dns/bind916
+
+# These four are related.
+RUN_DEPENDS+=		blackbox>0:x11-wm/blackbox
+RUN_DEPENDS+=		bbkeys>0:x11-wm/bbkeys
+RUN_DEPENDS+=		bbmail>0:mail/bbmail
+RUN_DEPENDS+=		bbpager>0:x11-wm/bbpager
+
+RUN_DEPENDS+=		bhyve-firmware>0:sysutils/bhyve-firmware
+RUN_DEPENDS+=		blender>0:graphics/blender
+RUN_DEPENDS+=		aarch64-binutils>0:devel/binutils@aarch64
+RUN_DEPENDS+=		mips64-binutils>0:devel/binutils@mips64
+RUN_DEPENDS+=		powerpc64-binutils>0:devel/binutils@powerpc64
+RUN_DEPENDS+=		riscv64-binutils>0:devel/binutils@riscv64
+RUN_DEPENDS+=		sparc64-binutils>0:devel/binutils@sparc64
+RUN_DEPENDS+=		bookworm>0:deskutils/bookworm
+RUN_DEPENDS+=		bpytop>0:sysutils/bpytop
+RUN_DEPENDS+=		bsdcrashtar>0:sysutils/bsdcrashtar
+RUN_DEPENDS+=		bsdgames>0:games/bsdgames
+RUN_DEPENDS+=		bsdhwmon>0:sysutils/bsdhwmon
+RUN_DEPENDS+=		bsdinfo>0:sysutils/bsdinfo
+RUN_DEPENDS+=		bsdstats>0:sysutils/bsdstats
+RUN_DEPENDS+=		bvm>0:sysutils/bvm
+#Python 2#RUN_DEPENDS+=		bzr>0:devel/bzr
+RUN_DEPENDS+=		ca_root_nss>0:security/ca_root_nss
+RUN_DEPENDS+=		calendar-data>0:deskutils/calendar-data
+RUN_DEPENDS+=		calibre>0:deskutils/calibre
+RUN_DEPENDS+=		cbsd>0:sysutils/cbsd
+RUN_DEPENDS+=		cdecl>0:devel/cdecl
+RUN_DEPENDS+=		cdrtools>0:sysutils/cdrtools
+RUN_DEPENDS+=		celluloid>0:multimedia/celluloid
+RUN_DEPENDS+=		cgdb>0:devel/cgdb
+RUN_DEPENDS+=		chromium>0:www/chromium
+RUN_DEPENDS+=		chyves>0:sysutils/chyves
+RUN_DEPENDS+=		clamav>0:security/clamav
+RUN_DEPENDS+=		clamtk>0:security/clamtk
+RUN_DEPENDS+=		cmdwatch>0:sysutils/cmdwatch
+RUN_DEPENDS+=		codeblocks>0:devel/codeblocks
+#/usr/local/include/pango-1.0/pango/pango-coverage.h:28:10: fatal error: 'hb.h' file not found#RUN_DEPENDS+=		codelite>0:editors/codelite
+RUN_DEPENDS+=		colordiff>0:textproc/colordiff
+RUN_DEPENDS+=		cool-retro-term>0:x11/cool-retro-term
+RUN_DEPENDS+=		coreutils>0:sysutils/coreutils
+RUN_DEPENDS+=		cpu-x>0:sysutils/cpu-x
+RUN_DEPENDS+=		${LOCALBASE}/sbin/cpupdate:sysutils/cpupdate
+RUN_DEPENDS+=		cscope>0:devel/cscope
+RUN_DEPENDS+=		csharp-mode.el-emacs27>0:lang/csharp-mode.el@full
+RUN_DEPENDS+=		cvs+ipv6>0:devel/cvs+ipv6
+RUN_DEPENDS+=		ddrescue>0:sysutils/ddrescue
+RUN_DEPENDS+=		devcpu-data>0:sysutils/devcpu-data
+RUN_DEPENDS+=		dfc>0:sysutils/dfc
+RUN_DEPENDS+=		dia>0:graphics/dia
+RUN_DEPENDS+=		distel-emacs27>0:devel/distel@full
+RUN_DEPENDS+=		dog>0:dns/dog
+RUN_DEPENDS+=		doggo>0:dns/doggo
+RUN_DEPENDS+=		doublecmd-qt5>0:x11-fm/doublecmd@qt5
+RUN_DEPENDS+=		py39-dnspython>0:dns/py-dnspython@py39
+RUN_DEPENDS+=		doas>0:security/doas
+RUN_DEPENDS+=		dokuwiki>0:www/dokuwiki
+RUN_DEPENDS+=		dosunix>0:converters/dosunix
+#synth issue#/boot not writeable during install#RUN_DEPENDS+=		drm-kmod>0:graphics/drm-kmod
+RUN_DEPENDS+=		dtrace-toolkit>0:sysutils/dtrace-toolkit
+
+RUN_DEPENDS+=		eiffelstudio>0:devel/eiffelstudio
+RUN_DEPENDS+=		compat6x-amd64>0:misc/compat6x
+
+RUN_DEPENDS+=		elasticsearch7>0:textproc/elasticsearch7
+RUN_DEPENDS+=		elf-dissector>0:devel/elf-dissector
+RUN_DEPENDS+=		emacs>0:editors/emacs@full
+RUN_DEPENDS+=		erlang>0:lang/erlang
+RUN_DEPENDS+=		erlang-runtime22>0:lang/erlang-runtime22
+RUN_DEPENDS+=		erlang-runtime23>0:lang/erlang-runtime23
+RUN_DEPENDS+=		erlang-runtime24>0:lang/erlang-runtime24
+RUN_DEPENDS+=		erlang-wx>0:lang/erlang-wx
+RUN_DEPENDS+=		etherape>0:net-mgmt/etherape
+RUN_DEPENDS+=		exa>0:sysutils/exa
+RUN_DEPENDS+=		filezilla>0:ftp/filezilla
+RUN_DEPENDS+=		fish>0:shells/fish
+RUN_DEPENDS+=		fio>0:benchmarks/fio
+RUN_DEPENDS+=		firefox>0:www/firefox
+RUN_DEPENDS+=		flamegraph>0:benchmarks/flamegraph
+RUN_DEPENDS+=		flashrom>0:sysutils/flashrom
+RUN_DEPENDS+=		fontforge>0:print/fontforge
+RUN_DEPENDS+=		fpc>0:lang/fpc
+RUN_DEPENDS+=		fpc-ide>0:editors/fpc-ide
+RUN_DEPENDS+=		fping>0:net/fping
+RUN_DEPENDS+=		FreeCAD>0:cad/freecad
+
+RUN_DEPENDS+=		aarch64-gcc9>0:devel/freebsd-gcc9@aarch64
+RUN_DEPENDS+=		amd64-gcc9>0:devel/freebsd-gcc9@amd64
+RUN_DEPENDS+=		i386-gcc9>0:devel/freebsd-gcc9@i386
+RUN_DEPENDS+=		mips-gcc9>0:devel/freebsd-gcc9@mips
+RUN_DEPENDS+=		mips64-gcc9>0:devel/freebsd-gcc9@mips64
+RUN_DEPENDS+=		powerpc-gcc9>0:devel/freebsd-gcc9@powerpc
+RUN_DEPENDS+=		powerpc64-gcc9>0:devel/freebsd-gcc9@powerpc64
+RUN_DEPENDS+=		riscv64-gcc9>0:devel/freebsd-gcc9@riscv64
+RUN_DEPENDS+=		sparc64-gcc9>0:devel/freebsd-gcc9@sparc64
+
+RUN_DEPENDS+=		fricas>0:math/fricas
+RUN_DEPENDS+=		fsv2>0:x11-fm/fsv2
+RUN_DEPENDS+=		fusefs-ntfs>0:sysutils/fusefs-ntfs
+RUN_DEPENDS+=		gcc>0:lang/gcc
+RUN_DEPENDS+=		gcc12-devel>0:lang/gcc12-devel
+RUN_DEPENDS+=		gdb>0:devel/gdb
+RUN_DEPENDS+=		geany>0:devel/geany
+RUN_DEPENDS+=		geany-plugins>0:devel/geany-plugins
+RUN_DEPENDS+=		geogebra>0:math/geogebra
+RUN_DEPENDS+=		geoipupdate>0:net/geoipupdate
+RUN_DEPENDS+=		ghidra>0:devel/ghidra
+RUN_DEPENDS+=		gimp>0:graphics/gimp
+RUN_DEPENDS+=		git>0:devel/git@default
+RUN_DEPENDS+=		git-lfs>0:devel/git-lfs
+RUN_DEPENDS+=		gitui>0:devel/gitui
+RUN_DEPENDS+=		gitup>0:net/gitup
+RUN_DEPENDS+=		gkrellm2>0:sysutils/gkrellm2
+RUN_DEPENDS+=		gksu>0:sysutils/gksu
+
+# These five are related.
+RUN_DEPENDS+=		py39-glances>0:sysutils/py-glances@py39
+RUN_DEPENDS+=		py39-bottle>0:www/py-bottle@py39
+RUN_DEPENDS+=		py39-py-cpuinfo>0:sysutils/py-py-cpuinfo@py39
+RUN_DEPENDS+=		py39-netifaces>0:net/py-netifaces@py39
+RUN_DEPENDS+=		py39-requests>0:www/py-requests@py39
+
+RUN_DEPENDS+=		gmake>0:devel/gmake
+RUN_DEPENDS+=		gnome-games>0:games/gnome-games
+RUN_DEPENDS+=		gnu-watch>0:misc/gnu-watch
+RUN_DEPENDS+=		gnucash>0:finance/gnucash
+RUN_DEPENDS+=		gnuchess>0:games/gnuchess
+RUN_DEPENDS+=		gnupg>0:security/gnupg
+RUN_DEPENDS+=		go>0:lang/go
+RUN_DEPENDS+=		gotop>0:sysutils/gotop
+RUN_DEPENDS+=		gotty>0:www/gotty
+RUN_DEPENDS+=		gpg-tui>0:security/gpg-tui
+RUN_DEPENDS+=		gprolog>0:lang/gprolog
+RUN_DEPENDS+=		grafana8>0:www/grafana8
+RUN_DEPENDS+=		graphviz>0:graphics/graphviz
+RUN_DEPENDS+=		groff>0:textproc/groff
+RUN_DEPENDS+=		gsmartcontrol>0:sysutils/gsmartcontrol
+RUN_DEPENDS+=		gv>0:print/gv
+RUN_DEPENDS+=		gvm>0:security/gvm
+RUN_DEPENDS+=		gvm-libs>0:security/gvm-libs
+RUN_DEPENDS+=		gvmd>0:security/gvmd
+RUN_DEPENDS+=		handbrake>0:multimedia/handbrake
+RUN_DEPENDS+=		hexcalc>0:math/hexcalc
+RUN_DEPENDS+=		hblock>0:net/hblock
+RUN_DEPENDS+=		hexyl>0:sysutils/hexyl
+RUN_DEPENDS+=		hourglass>0:sysutils/hourglass
+
+# Pull in devel/automake and, indirectly, devel/autoconf, as an aid in building htop-dev from Git.
+RUN_DEPENDS+=		automake>0:devel/automake
+RUN_DEPENDS+=		htop>0:sysutils/htop
+
+RUN_DEPENDS+=		icinga2>0:net-mgmt/icinga2
+RUN_DEPENDS+=		icingaweb2-php80>0:net-mgmt/icingaweb2@php80
+RUN_DEPENDS+=		icingaweb2-module-businessprocess-php80>0:net-mgmt/icingaweb2-module-businessprocess@php80
+RUN_DEPENDS+=		icingaweb2-module-cube-php80>0:net-mgmt/icingaweb2-module-cube@php80
+RUN_DEPENDS+=		icingaweb2-module-director-php80>0:net-mgmt/icingaweb2-module-director@php80
+RUN_DEPENDS+=		icingaweb2-module-elasticsearch-php80>0:net-mgmt/icingaweb2-module-elasticsearch@php80
+RUN_DEPENDS+=		icingaweb2-module-fileshipper-php80>0:net-mgmt/icingaweb2-module-fileshipper@php80
+RUN_DEPENDS+=		icingaweb2-module-generictts-php80>0:net-mgmt/icingaweb2-module-generictts@php80
+RUN_DEPENDS+=		icingaweb2-module-grafana-php80>0:net-mgmt/icingaweb2-module-grafana@php80
+RUN_DEPENDS+=		icingaweb2-module-graphite-php80>0:net-mgmt/icingaweb2-module-graphite@php80
+RUN_DEPENDS+=		icingaweb2-module-idoreports-php80>0:net-mgmt/icingaweb2-module-idoreports@php80
+RUN_DEPENDS+=		icingaweb2-module-ipl-php80>0:net-mgmt/icingaweb2-module-ipl@php80
+RUN_DEPENDS+=		icingaweb2-module-map-php80>0:net-mgmt/icingaweb2-module-map@php80
+RUN_DEPENDS+=		icingaweb2-module-pdfexport-php80>0:net-mgmt/icingaweb2-module-pdfexport@php80
+RUN_DEPENDS+=		icingaweb2-module-reactbundle-php80>0:net-mgmt/icingaweb2-module-reactbundle@php80
+RUN_DEPENDS+=		icingaweb2-module-reporting-php80>0:net-mgmt/icingaweb2-module-reporting@php80
+RUN_DEPENDS+=		icingaweb2-module-vsphere-php80>0:net-mgmt/icingaweb2-module-vsphere@php80
+RUN_DEPENDS+=		idutils>0:devel/idutils
+RUN_DEPENDS+=		iftop>0:net-mgmt/iftop
+RUN_DEPENDS+=		influxdb>0:databases/influxdb
+RUN_DEPENDS+=		inkscape>0:graphics/inkscape
+RUN_DEPENDS+=		inspircd>0:irc/inspircd
+RUN_DEPENDS+=		intel-graphics-compiler-llvm12>0:devel/intel-graphics-compiler@llvm12
+RUN_DEPENDS+=		iohyve>0:sysutils/iohyve
+RUN_DEPENDS+=		ioping>0:sysutils/ioping
+RUN_DEPENDS+=		ipcalc>0:net-mgmt/ipcalc
+RUN_DEPENDS+=		iperf3>0:benchmarks/iperf3
+RUN_DEPENDS+=		ipv6calc>0:net-mgmt/ipv6calc
+RUN_DEPENDS+=		ipv6toolkit>0:security/ipv6toolkit
+RUN_DEPENDS+=		irssi>0:irc/irssi
+#build bugs#RUN_DEPENDS+=		julia10>0:lang/julia10
+RUN_DEPENDS+=		kc24>0:security/kc24
+RUN_DEPENDS+=		kermit>0:comms/kermit
+RUN_DEPENDS+=		kibana7>0:textproc/kibana7
+
+# These six are related.
+RUN_DEPENDS+=		kicad>0:cad/kicad
+RUN_DEPENDS+=		kicad-doc>0:cad/kicad-doc
+RUN_DEPENDS+=		kicad-library-footprints>0:cad/kicad-library-footprints
+RUN_DEPENDS+=		kicad-library-packages3d>0:cad/kicad-library-packages3d
+RUN_DEPENDS+=		kicad-library-symbols>0:cad/kicad-library-symbols
+RUN_DEPENDS+=		kicad-library-tmpl>0:cad/kicad-library-templates
+
+RUN_DEPENDS+=		kitty>0:x11/kitty
+RUN_DEPENDS+=		klee>0:security/klee
+RUN_DEPENDS+=		kodi>0:multimedia/kodi
+RUN_DEPENDS+=		krita>0:graphics/krita
+RUN_DEPENDS+=		lazarus-gtk2>0:editors/lazarus
+RUN_DEPENDS+=		libgdiplus>0:x11-toolkits/libgdiplus
+RUN_DEPENDS+=		libreoffice>0:editors/libreoffice
+RUN_DEPENDS+=		logisim>0:cad/logisim
+
+# These seven are related.
+RUN_DEPENDS+=		libva>0:multimedia/libva
+RUN_DEPENDS+=		libva-glx>0:multimedia/libva-glx
+RUN_DEPENDS+=		libva-intel-driver>0:multimedia/libva-intel-driver
+RUN_DEPENDS+=		libva-intel-hybrid-driver>0:multimedia/libva-intel-hybrid-driver
+RUN_DEPENDS+=		libva-intel-media-driver>0:multimedia/libva-intel-media-driver
+RUN_DEPENDS+=		libva-utils>0:multimedia/libva-utils
+RUN_DEPENDS+=		libva-vdpau-driver>0:multimedia/libva-vdpau-driver
+
+RUN_DEPENDS+=		libqalculate>0:math/libqalculate
+RUN_DEPENDS+=		links>0:www/links
+RUN_DEPENDS+=		llvm-devel>0:devel/llvm-devel
+RUN_DEPENDS+=		logstash7>0:sysutils/logstash7
+RUN_DEPENDS+=		rubygem-lolcat>0:games/rubygem-lolcat
+RUN_DEPENDS+=		lsof>0:sysutils/lsof
+RUN_DEPENDS+=		lsop>0:sysutils/lsop
+RUN_DEPENDS+=		lynis>0:security/lynis
+RUN_DEPENDS+=		lynx>0:www/lynx
+RUN_DEPENDS+=		lyx>0:print/lyx
+RUN_DEPENDS+=		maelstrom>0:games/maelstrom
+RUN_DEPENDS+=		mate>0:x11/mate
+RUN_DEPENDS+=		mattermost-server>0:www/mattermost-server
+RUN_DEPENDS+=		maxima>0:math/maxima
+RUN_DEPENDS+=		mbuffer>0:misc/mbuffer
+RUN_DEPENDS+=		mc>0:misc/mc
+RUN_DEPENDS+=		memtest86+>0:sysutils/memtest86+
+RUN_DEPENDS+=		mercurial>0:devel/mercurial
+RUN_DEPENDS+=		mmix>0:lang/mmix
+RUN_DEPENDS+=		mythtv>0:multimedia/mythtv
+RUN_DEPENDS+=		ap24-mod_evasive>0:www/mod_evasive
+RUN_DEPENDS+=		ap24-mod_security>0:www/mod_security
+RUN_DEPENDS+=		mod_php80>0:www/mod_php80
+.if !${.TARGETS:Mconfig} && !${.TARGETS:Mconfig-recursive}
+RUN_DEPENDS+=		mono>0:lang/mono
+.endif
+RUN_DEPENDS+=		monsterz>0:games/monsterz
+RUN_DEPENDS+=		mosh>0:net/mosh
+RUN_DEPENDS+=		most>0:sysutils/most
+RUN_DEPENDS+=		nb-libreoffice>0:editors/libreoffice-nb
+RUN_DEPENDS+=		ncdu>0:sysutils/ncdu
+RUN_DEPENDS+=		ndpmon>0:net-mgmt/ndpmon
+
+RUN_DEPENDS+=		netdata>0:net-mgmt/netdata
+RUN_DEPENDS+=		py39-pymysql>0:databases/py-pymysql@py39
+
+RUN_DEPENDS+=		neofetch>0:sysutils/neofetch
+RUN_DEPENDS+=		nmap>0:security/nmap
+#conflict with security/nyx#RUN_DEPENDS+=		netbox>0:net-mgmt/netbox
+RUN_DEPENDS+=		nstat>0:net-mgmt/nstat
+RUN_DEPENDS+=		ntopng>0:net/ntopng
+RUN_DEPENDS+=		nuclearchess>0:games/nuclearchess
+RUN_DEPENDS+=		numlockx>0:x11/numlockx
+RUN_DEPENDS+=		numptyphysics>0:games/numptyphysics
+
+# py36-pycrypto-2.6.1_3 conflicts with py36-pycryptodome-3.9.0 (installs files into the same place).  Problematic file: /usr/local/lib/python3.6/site-packages/Crypto/Cipher/AES.py
+#conflict with net-mgmt/netbox#
+RUN_DEPENDS+=		nyx>0:security/nyx
+
+RUN_DEPENDS+=		o>0:editors/o
+RUN_DEPENDS+=		obliterate>0:sysutils/obliterate
+RUN_DEPENDS+=		obs-studio>0:multimedia/obs-studio
+RUN_DEPENDS+=		octopkg>0:ports-mgmt/octopkg
+RUN_DEPENDS+=		openbve>0:games/openbve
+RUN_DEPENDS+=		openconnect>0:security/openconnect
+RUN_DEPENDS+=		openconnect-gui>0:security/openconnect-gui
+#duplicate symbol parentPathv#RUN_DEPENDS+=		openjdk12>0:java/openjdk12
+RUN_DEPENDS+=		openldap24-server>0:net/openldap24-server
+RUN_DEPENDS+=		openshot>0:multimedia/openshot@py39
+RUN_DEPENDS+=		openvas>0:security/openvas
+#RUN_DEPENDS+=		outerspace>0:games/outerspace
+RUN_DEPENDS+=		panicmail>0:sysutils/panicmail
+RUN_DEPENDS+=		parallel>0:sysutils/parallel
+RUN_DEPENDS+=		pbzip2>0:archivers/pbzip2
+RUN_DEPENDS+=		pg_qualstats>0:databases/pg_qualstats
+RUN_DEPENDS+=		pg_stat_kcache>0:databases/pg_stat_kcache
+RUN_DEPENDS+=		pgaccess>0:databases/pgaccess
+#pgadmin3-1.22.2_6 is not compatible with PostgreSQL 14.0#RUN_DEPENDS+=		pgadmin3>0:databases/pgadmin3
+RUN_DEPENDS+=		pgbadger>0:databases/pgbadger
+RUN_DEPENDS+=		pgtop>0:databases/pgtop
+RUN_DEPENDS+=		pinfo>0:misc/pinfo
+RUN_DEPENDS+=		pkg_tree>0:ports-mgmt/pkg_tree
+RUN_DEPENDS+=		portgraph>0:ports-mgmt/portgraph
+RUN_DEPENDS+=		portgrep>0:ports-mgmt/portgrep
+RUN_DEPENDS+=		portlint>0:ports-mgmt/portlint
+RUN_DEPENDS+=		porttree>0:ports-mgmt/porttree
+RUN_DEPENDS+=		postgresql14-client>0:databases/postgresql14-client
+RUN_DEPENDS+=		postgresql14-server>0:databases/postgresql14-server
+RUN_DEPENDS+=		postgresql14-contrib>0:databases/postgresql14-contrib
+RUN_DEPENDS+=		powa-archivist>0:databases/powa-archivist
+RUN_DEPENDS+=		py39-powa-web>0:databases/powa-web@py39
+RUN_DEPENDS+=		powerarchitect>0:databases/powerarchitect
+RUN_DEPENDS+=		procmap>0:sysutils/procmap
+
+# databases/pspg pulls in ncurses, so we might as well pull in misc/terminfo-db
+RUN_DEPENDS+=		pspg>0:databases/pspg
+RUN_DEPENDS+=		terminfo-db>0:misc/terminfo-db
+
+RUN_DEPENDS+=		psmisc>0:sysutils/psmisc
+RUN_DEPENDS+=		pv>0:sysutils/pv
+RUN_DEPENDS+=		pwgen>0:sysutils/pwgen
+RUN_DEPENDS+=		python>0:lang/python
+RUN_DEPENDS+=		python3>0:lang/python3
+RUN_DEPENDS+=		python37>0:lang/python37
+RUN_DEPENDS+=		python38>0:lang/python38
+RUN_DEPENDS+=		python39>0:lang/python39
+RUN_DEPENDS+=		python310>0:lang/python310
+RUN_DEPENDS+=		python-mode.el>0:lang/python-mode.el
+RUN_DEPENDS+=		py37-tkinter>0:x11-toolkits/py-tkinter@py37
+RUN_DEPENDS+=		py38-tkinter>0:x11-toolkits/py-tkinter@py38
+RUN_DEPENDS+=		py39-tkinter>0:x11-toolkits/py-tkinter@py39
+RUN_DEPENDS+=		py310-tkinter>0:x11-toolkits/py-tkinter@py310
+RUN_DEPENDS+=		py39-xkcdpass>0:security/py-xkcdpass@py39
+RUN_DEPENDS+=		qemu>0:emulators/qemu
+RUN_DEPENDS+=		rdesktop>0:net/rdesktop
+RUN_DEPENDS+=		recode>0:converters/recode
+RUN_DEPENDS+=		redis>0:databases/redis
+RUN_DEPENDS+=		remmina>0:net/remmina
+RUN_DEPENDS+=		reptyr>0:sysutils/reptyr
+RUN_DEPENDS+=		ripgrep>0:textproc/ripgrep
+RUN_DEPENDS+=		rkhunter>0:security/rkhunter
+RUN_DEPENDS+=		rubygem-ronn>0:textproc/rubygem-ronn
+#conflict over guile2 req by gnome-games and guile1 req by lilypond#RUN_DEPENDS+=		rosegarden>0:audio/rosegarden
+RUN_DEPENDS+=		rsfetch>0:sysutils/rsfetch
+RUN_DEPENDS+=		rust>0:lang/rust
+#RUN_DEPENDS+=		rust-nightly>0:lang/rust-nightly
+RUN_DEPENDS+=		rustscan>0:security/rustscan
+RUN_DEPENDS+=		samba413>0:net/samba413
+RUN_DEPENDS+=		sauerbraten>0:games/sauerbraten
+RUN_DEPENDS+=		sc>0:math/sc
+RUN_DEPENDS+=		screen>0:sysutils/screen
+RUN_DEPENDS+=		scribus-devel>0:print/scribus-devel
+RUN_DEPENDS+=		shotcut>0:multimedia/shotcut
+RUN_DEPENDS+=		smartmontools>0:sysutils/smartmontools
+RUN_DEPENDS+=		spectre-meltdown-checker>0:security/spectre-meltdown-checker
+RUN_DEPENDS+=		spinner>0:sysutils/spinner
+RUN_DEPENDS+=		sqlitestudio>0:databases/sqlitestudio
+RUN_DEPENDS+=		ssd_report>0:sysutils/ssd_report@smart
+RUN_DEPENDS+=		py39-ssh-audit>0:security/py-ssh-audit@py39
+RUN_DEPENDS+=		ssl-admin>0:security/ssl-admin
+RUN_DEPENDS+=		starship>0:shells/starship
+RUN_DEPENDS+=		stellarium>0:astro/stellarium
+RUN_DEPENDS+=		sterm>0:x11/sterm
+RUN_DEPENDS+=		stockfish>0:games/stockfish
+RUN_DEPENDS+=		subversion>0:devel/subversion
+RUN_DEPENDS+=		sudo>0:security/sudo
+RUN_DEPENDS+=		svnup>0:net/svnup
+RUN_DEPENDS+=		sympa>0:mail/sympa
+RUN_DEPENDS+=		sysctlview>0:deskutils/sysctlview
+RUN_DEPENDS+=		tarsnap>0:sysutils/tarsnap
+RUN_DEPENDS+=		tarsnap-gui>0:sysutils/tarsnap-gui
+RUN_DEPENDS+=		tarsnap-periodic>0:sysutils/tarsnap-periodic
+RUN_DEPENDS+=		termatrix>0:misc/termatrix
+RUN_DEPENDS+=		termshark>0:net/termshark
+RUN_DEPENDS+=		texinfo>0:print/texinfo
+RUN_DEPENDS+=		texlive-full>0:print/texlive-full
+RUN_DEPENDS+=		thunderbird>0:mail/thunderbird
+RUN_DEPENDS+=		tig>0:devel/tig
+RUN_DEPENDS+=		tightvnc>0:net/tightvnc
+RUN_DEPENDS+=		tmux>0:sysutils/tmux
+RUN_DEPENDS+=		tor>0:security/tor
+RUN_DEPENDS+=		torsocks>0:net/torsocks
+RUN_DEPENDS+=		tortoisehg>0:devel/tortoisehg
+RUN_DEPENDS+=		tpb>0:deskutils/tpb
+RUN_DEPENDS+=		tree>0:sysutils/tree
+RUN_DEPENDS+=		ttyd>0:sysutils/ttyd
+RUN_DEPENDS+=		uefi-edk2-bhyve>0:sysutils/uefi-edk2-bhyve
+RUN_DEPENDS+=		uefi-edk2-bhyve-csm>0:sysutils/uefi-edk2-bhyve-csm
+RUN_DEPENDS+=		unix2dos>0:converters/unix2dos
+RUN_DEPENDS+=		unrar>0:archivers/unrar
+RUN_DEPENDS+=		v2ray>0:net/v2ray
+RUN_DEPENDS+=		vim>0:editors/vim
+RUN_DEPENDS+=		virtualbox-ose>0:emulators/virtualbox-ose
+RUN_DEPENDS+=		vlc>0:multimedia/vlc
+RUN_DEPENDS+=		vm-bhyve>0:sysutils/vm-bhyve
+RUN_DEPENDS+=		vnstat>0:net/vnstat
+#make fetch for devel/electron11 turns into a full fledged build#RUN_DEPENDS+=		vscode>0:editors/vscode
+RUN_DEPENDS+=		wezterm>0:x11/wezterm
+RUN_DEPENDS+=		wget>0:ftp/wget
+RUN_DEPENDS+=		whatmask>0:net-mgmt/whatmask
+#RUN_DEPENDS+=		wine-devel>0:emulators/wine-devel
+#RUN_DEPENDS+=		wine-devel-gecko>0:emulators/wine-devel-gecko
+#RUN_DEPENDS+=		wine-devel-mono>0:emulators/wine-devel-mono
+RUN_DEPENDS+=		wine>0:emulators/wine
+RUN_DEPENDS+=		wine-gecko>0:emulators/wine-gecko
+RUN_DEPENDS+=		wine-mono>0:emulators/wine-mono
+#devel/erlang-esdl not compatible with Erlang 24#RUN_DEPENDS+=		wings>0:graphics/wings
+RUN_DEPENDS+=		wireguard>0:net/wireguard
+RUN_DEPENDS+=		wireshark>0:net/wireshark
+RUN_DEPENDS+=		wxmaxima>0:math/wxmaxima
+
+# xorg and xdm should come first.
+RUN_DEPENDS+=		xorg>0:x11/xorg
+RUN_DEPENDS+=		xdm>0:x11/xdm
+
+RUN_DEPENDS+=		x48>0:emulators/x48
+RUN_DEPENDS+=		x86info>0:sysutils/x86info
+RUN_DEPENDS+=		xblast>0:games/xblast
+RUN_DEPENDS+=		xboard>0:games/xboard
+RUN_DEPENDS+=		xclip>0:x11/xclip
+RUN_DEPENDS+=		xclipboard>0:x11/xclipboard
+RUN_DEPENDS+=		xcowsay>0:games/xcowsay
+RUN_DEPENDS+=		xcruiser>0:x11-fm/xcruise
+RUN_DEPENDS+=		xcscope.el>0:devel/xcscope.el
+RUN_DEPENDS+=		xdiskusage>0:x11-fm/xdiskusage
+RUN_DEPENDS+=		xearth>0:astro/xearth
+RUN_DEPENDS+=		xephem>0:astro/xephem
+RUN_DEPENDS+=		xfig>0:graphics/xfig
+RUN_DEPENDS+=		xlife>0:games/xlife
+RUN_DEPENDS+=		xlockmore>0:x11/xlockmore
+RUN_DEPENDS+=		xmag>0:x11/xmag
+RUN_DEPENDS+=		xman>0:x11/xman
+RUN_DEPENDS+=		xmine>0:games/xmine
+RUN_DEPENDS+=		xminehunter>0:games/xminehunter
+RUN_DEPENDS+=		xmines>0:games/xmines
+RUN_DEPENDS+=		xmix>0:audio/xmix
+RUN_DEPENDS+=		xneko>0:games/xneko
+RUN_DEPENDS+=		xournal>0:graphics/xournal
+RUN_DEPENDS+=		xpdf>0:graphics/xpdf
+RUN_DEPENDS+=		xpipeman>0:games/xpipeman
+RUN_DEPENDS+=		XPostitPlus>0:deskutils/xpostitPlus
+RUN_DEPENDS+=		xscreensaver>0:x11/xscreensaver
+RUN_DEPENDS+=		xwpe>0:devel/xwpe
+RUN_DEPENDS+=		zfs-stats>0:sysutils/zfs-stats
+RUN_DEPENDS+=		zrepl>0:sysutils/zrepl
+RUN_DEPENDS+=		zsh>0:shells/zsh
+RUN_DEPENDS+=		ztop>0:sysutils/ztop
+
+# These 8 packages keep popping up whenever I install or upgrade other packages.
+# A subsequent run of pkg autoremove removes the gang of 8.
+# Surely, it's a sign of corruption in the package database.
+# I've had enough of this monkey business, so why not let this metaport depend on them?
+RUN_DEPENDS+=		docbook>0:textproc/docbook
+RUN_DEPENDS+=		docbook-sgml>0:textproc/docbook-sgml
+RUN_DEPENDS+=		docbook-xml>0:textproc/docbook-xml
+RUN_DEPENDS+=		docbook-xsl>0:textproc/docbook-xsl
+RUN_DEPENDS+=		iso8879>0:textproc/iso8879
+RUN_DEPENDS+=		kf5-kdoctools>0:devel/kf5-kdoctools
+RUN_DEPENDS+=		sdocbook-xml>0:textproc/sdocbook-xml
+RUN_DEPENDS+=		xmlcharent>0:textproc/xmlcharent
+
+.include <bsd.port.mk>
+
+# EOF
diff --git a/local/E590T-localbase/pkg-descr b/local/E590T-localbase/pkg-descr
new file mode 100644
index 000000000000..fba3688e2868
--- /dev/null
+++ b/local/E590T-localbase/pkg-descr
@@ -0,0 +1,3 @@
+Software needed on E590T.ufp
+
+WWW: http://localhost/
diff --git a/local/Makefile b/local/Makefile
new file mode 100644
index 000000000000..e2cb3692db4d
--- /dev/null
+++ b/local/Makefile
@@ -0,0 +1,5 @@
+# $UFP: config/freebsd/E590T/usr/ports/local/Makefile,v 1.3 2020-04-13 08:23:07 trond Exp $
+
+SUBDIR+=	E590T-localbase
+
+.include <bsd.port.subdir.mk>
diff --git a/mail/alpine/distinfo b/mail/alpine/distinfo
index 160e5c96470a..f9038f010327 100644
--- a/mail/alpine/distinfo
+++ b/mail/alpine/distinfo
@@ -1,5 +1,5 @@
-TIMESTAMP = 1631991887
+TIMESTAMP = 1632257658
 SHA256 (alpine-2.25.tar.gz) = ba0856bcc863b70dd0c2f06cdeda720332c2d136d49154d78450932cd9e0900a
 SIZE (alpine-2.25.tar.gz) = 23147391
-SHA256 (maildir.patch.gz) = 9017f8608e22a5b4c12105fc419d7cfe52d71b70b1c53076a02cf2906591c797
-SIZE (maildir.patch.gz) = 33849
+SHA256 (maildir.patch.gz) = b68004dd2012dba123e441cbd3e6d705a3987411f380c9b907fc9b3d2d9c5497
+SIZE (maildir.patch.gz) = 34808
diff --git a/math/maxima/pkg-plist b/math/maxima/pkg-plist
index f7850cde4685..b09b32944d4c 100644
--- a/math/maxima/pkg-plist
+++ b/math/maxima/pkg-plist
@@ -6,8 +6,8 @@ lib/maxima/%%PORTVERSION%%/%%BINDIR%%/%%BINNAME%%
 %%CMUCL%%lib/maxima/%%PORTVERSION%%/%%BINDIR%%/lisp
 libexec/maxima/%%PORTVERSION%%/mgnuplot
 %%MANPAGES%%man/man1/maxima.1.gz
-%%MANPAGES%%man/de/man1/%%BINNAME%%.1.gz
-%%MANPAGES%%man/ru/man1/%%BINNAME%%.1.gz
+@comment %%MANPAGES%%man/de/man1/%%BINNAME%%.1.gz
+@comment %%MANPAGES%%man/ru/man1/%%BINNAME%%.1.gz
 share/applications/net.sourceforge.maxima.xmaxima.desktop
 share/bash-completion/completions/maxima
 share/bash-completion/completions/rmaxima
diff --git a/math/py-matplotlib/Makefile.local b/math/py-matplotlib/Makefile.local
new file mode 100644
index 000000000000..af26b008b232
--- /dev/null
+++ b/math/py-matplotlib/Makefile.local
@@ -0,0 +1,6 @@
+# $UFP$
+
+BUILD_DEPENDS+=	xorg>0:x11/xorg
+BUILD_DEPENDS+=	xorg-vfbserver>0:x11-servers/xorg-vfbserver
+
+# EOF
diff --git a/math/py-numpy/Makefile b/math/py-numpy/Makefile
index 5a3130271612..26bb0de34734 100644
--- a/math/py-numpy/Makefile
+++ b/math/py-numpy/Makefile
@@ -22,7 +22,7 @@ LICENSE_FILE=	${WRKSRC}/LICENSE.txt
 TEST_DEPENDS=	${PYTHON_PKGNAMEPREFIX}pytest>=0:devel/py-pytest@${PY_FLAVOR} \
 		${PYTHON_PKGNAMEPREFIX}hypothesis>=5.41.3:devel/py-hypothesis@${PY_FLAVOR}
 
-USES=		compiler:c11 cpe fortran python:3.7-3.9 zip
+USES=		compiler:c11 cpe fortran python:3.7-3.10 zip
 USE_PYTHON=	allflavors autoplist concurrent cython distutils
 
 GCCLIBDIR_CMDS=	${FC} -print-file-name=libgfortran.so | ${SED} -e s/libgfortran.so//
diff --git a/net-mgmt/icingaweb2/Makefile b/net-mgmt/icingaweb2/Makefile
index 3e9960e6f73c..b534c17a96c4 100644
--- a/net-mgmt/icingaweb2/Makefile
+++ b/net-mgmt/icingaweb2/Makefile
@@ -31,11 +31,16 @@ SUB_LIST=	ETCDIR=${ETCDIR} \
 PLIST_SUB=	WWWGRP=${WWWGRP} \
 		WWWOWN=${WWWOWN}
 
-OPTIONS_DEFINE=		EXAMPLES LDAP MYSQL NLS PDF PGSQL SQLITE
+OPTIONS_DEFINE=		EXAMPLES LDAP MYSQL NLS PGSQL SQLITE
 OPTIONS_DEFAULT=	LDAP MYSQL PGSQL SQLITE
 
+OPTIONS_RADIO=		PDF
+OPTIONS_RADIO_PDF=	PDFIM6 PDFIM7
 PDF_DESC=		Export graphs as PDF
-PDF_RUN_DEPENDS=	${PHPBASE}/lib/php/${PHP_EXT_DIR}/imagick.so:graphics/pecl-imagick@${PHP_FLAVOR}
+PDFIM6_DESC=		Depend on ImageMagick 6
+PDFIM7_DESC=		Depend on ImageMagick 7
+PDFIM6_RUN_DEPENDS=	${PHPBASE}/lib/php/${PHP_EXT_DIR}/imagick.so:graphics/pecl-imagick@${PHP_FLAVOR}
+PDFIM7_RUN_DEPENDS=	${PHPBASE}/lib/php/${PHP_EXT_DIR}/imagick.so:graphics/pecl-imagick-im7@${PHP_FLAVOR}
 
 NLS_USES=	gettext
 NLS_USE=	PHP=intl
diff --git a/net/ntopng/files/ntopng.in b/net/ntopng/files/ntopng.in
index 462f0a3f0603..8c0f3d2ddf67 100644
--- a/net/ntopng/files/ntopng.in
+++ b/net/ntopng/files/ntopng.in
@@ -1,7 +1,7 @@
 #!/bin/sh
 
 # PROVIDE: ntopng
-# REQUIRE: LOGIN netif mysql
+# REQUIRE: LOGIN netif mysql redis
 # KEYWORD: shutdown
 #
 # Add the following lines to /etc/rc.conf to enable ntopng:
diff --git a/net/ntopng/files/patch-local-include_ntop__includes.h b/net/ntopng/files/patch-local-include_ntop__includes.h
new file mode 100644
index 000000000000..cdca4e87a97c
--- /dev/null
+++ b/net/ntopng/files/patch-local-include_ntop__includes.h
@@ -0,0 +1,10 @@
+--- include/ntop_includes.h.orig	2020-11-02 21:27:19 UTC
++++ include/ntop_includes.h
+@@ -116,6 +116,7 @@ extern "C" {
+ #endif
+ 
+ #include "ndpi_api.h"
++#include "config.h"
+ #include "lua.h"
+ #include "lauxlib.h"
+ #include "lualib.h"
diff --git a/ports-mgmt/synth/files/patch-local-src-portscan-buildcycle-ports.adb b/ports-mgmt/synth/files/patch-local-src-portscan-buildcycle-ports.adb
new file mode 100644
index 000000000000..2f255b93db10
--- /dev/null
+++ b/ports-mgmt/synth/files/patch-local-src-portscan-buildcycle-ports.adb
@@ -0,0 +1,51 @@
+--- src/portscan-buildcycle-ports.adb	2019-01-30 15:42:12.000000000 +0100
++++ src/portscan-buildcycle-ports.adb	2020-02-22 21:13:19.981173000 +0100
+@@ -141,28 +141,29 @@
+    function max_time_without_output (phase : phases) return execution_limit
+    is
+       base : Integer;
++      multiplier : constant Integer := 4;
+    begin
+       case phase is
+-         when check_sanity     => base := 1;
+-         when pkg_depends      => base := 3;
+-         when fetch_depends    => base := 3;
++         when check_sanity     => base := multiplier * 1;
++         when pkg_depends      => base := multiplier * 3;
++         when fetch_depends    => base := multiplier * 3;
+          when fetch | checksum => return 480;  --  8 hours
+-         when extract_depends  => base := 3;
+-         when extract          => base := 20;
+-         when patch_depends    => base := 3;
+-         when patch            => base := 3;
+-         when build_depends    => base := 11;   -- for texlive
+-         when lib_depends      => base := 5;
+-         when configure        => base := 15;
+-         when build            => base := 25;   --  for gcc linking, tex
+-         when run_depends      => base := 15;   --  octave-forge is driver
+-         when stage            => base := 20;   --  desire 15 but too many rogue builders-in-stage
+-         when test             => base := 25;
+-         when check_plist      => base := 10;   --  For packages with thousands of files
+-         when pkg_package      => base := 80;
+-         when install_mtree    => base := 3;
+-         when install          => base := 10;
+-         when deinstall        => base := 10;
++         when extract_depends  => base := multiplier * 3;
++         when extract          => base := multiplier * 20;
++         when patch_depends    => base := multiplier * 3;
++         when patch            => base := multiplier * 3;
++         when build_depends    => base := multiplier * 11;   -- for texlive
++         when lib_depends      => base := multiplier * 5;
++         when configure        => base := multiplier * 15;
++         when build            => base := multiplier * 25;   --  for gcc linking, tex
++         when run_depends      => base := multiplier * 15;   --  octave-forge is driver
++         when stage            => base := multiplier * 20;   --  desire 15 but too many rogue builders-in-stage
++         when test             => base := multiplier * 25;
++         when check_plist      => base := multiplier * 10;   --  For packages with thousands of files
++         when pkg_package      => base := multiplier * 80;
++         when install_mtree    => base := multiplier * 3;
++         when install          => base := multiplier * 10;
++         when deinstall        => base := multiplier * 10;
+       end case;
+       declare
+          multiplier_x10 : constant Positive := timeout_multiplier_x10;
diff --git a/ports-mgmt/synth/files/patch-local-src-portscan-pilot.adb b/ports-mgmt/synth/files/patch-local-src-portscan-pilot.adb
new file mode 100644
index 000000000000..c1af7cb7fafc
--- /dev/null
+++ b/ports-mgmt/synth/files/patch-local-src-portscan-pilot.adb
@@ -0,0 +1,71 @@
+--- src/portscan-pilot.adb	2019-01-30 15:42:12.000000000 +0100
++++ src/portscan-pilot.adb	2021-03-21 13:21:59.077805000 +0100
+@@ -354,6 +354,7 @@
+       if not PLAT.standalone_pkg8_install (PortScan.scan_slave) then
+          TIO.Put_Line ("Failed to install pkg(8) scanner" & bailing);
+          successful := False;
++         CLI.Set_Exit_Status (CLI.Failure);
+          goto clean_exit;
+       end if;
+       portlist.Iterate (Process => scan'Access);
+@@ -550,6 +551,10 @@
+          TIO.Put_Line ("The build logs can be found at: " &
+                          JT.USS (PM.configuration.dir_logs));
+       end if;
++
++      if bld_counter (ignored) > 0 or else bld_counter (skipped) > 0 or else bld_counter (failure) > 0 then
++         CLI.Set_Exit_Status (CLI.Failure);
++      end if;
+    end perform_bulk_run;
+ 
+ 
+@@ -1896,26 +1901,29 @@
+             --  TERM guaranteed to already be defined (see TERM_defined_in_environment)
+             if Unix.env_variable_value ("TERM") /= dumterm then
+                if tree_directories_match (index_file, portsdir) then
+-                  TIO.Put_Line (stars);
+-                  TIO.Put_Line (msg1);
+-                  TIO.Put_Line (msg2);
+-                  TIO.Put      (msg3);
+-                  loop
+-                     Ada.Text_IO.Get_Immediate (answer);
+-                     case answer is
+-                        when 'Y' | 'y' =>
+-                           TIO.Put_Line ("yes");
+-                           exit;
+-                        when 'N' | 'n' =>
+-                           TIO.Put_Line ("no");
+-                           if Unix.external_command (command) then
+-                              needs_gen := False;
+-                           end if;
+-                           exit;
+-                        when others => null;
+-                     end case;
+-                  end loop;
+-                  TIO.Put_Line (stars);
++--                  TIO.Put_Line (stars);
++--                  TIO.Put_Line (msg1);
++--                  TIO.Put_Line (msg2);
++--                  TIO.Put      (msg3);
++--                  loop
++--                     Ada.Text_IO.Get_Immediate (answer);
++--                     case answer is
++--                        when 'Y' | 'y' =>
++--                           TIO.Put_Line ("yes");
++--                           exit;
++--                        when 'N' | 'n' =>
++--                           TIO.Put_Line ("no");
++--                           if Unix.external_command (command) then
++--                              needs_gen := False;
++--                           end if;
++--                           exit;
++--                        when others => null;
++--                     end case;
++--                  end loop;
++--                  TIO.Put_Line (stars);
++                    if Unix.external_command (command) then
++                       needs_gen := False;
++                    end if;
+                end if;
+             end if;
+          else
diff --git a/ports-mgmt/synth/files/patch-local-src-portscan.adb b/ports-mgmt/synth/files/patch-local-src-portscan.adb
new file mode 100644
index 000000000000..1a3c5b61a920
--- /dev/null
+++ b/ports-mgmt/synth/files/patch-local-src-portscan.adb
@@ -0,0 +1,26 @@
+--- src/portscan.adb	2018-05-28 20:21:54.000000000 +0200
++++ src/portscan.adb	2018-08-08 14:25:46.683191000 +0200
+@@ -1,6 +1,7 @@
+ --  This file is covered by the Internet Software Consortium (ISC) License
+ --  Reference: ../License.txt
+ 
++with Ada.Command_Line;
+ with Ada.Strings.Hash;
+ with Ada.Calendar.Formatting;
+ with GNAT.Regpat;
+@@ -11,6 +12,7 @@
+ package body PortScan is
+ 
+    package ACF renames Ada.Calendar.Formatting;
++   package CLI renames Ada.Command_Line;
+    package RGX renames GNAT.Regpat;
+    package GSS renames GNAT.String_Split;
+    package SIG renames Signals;
+@@ -291,6 +293,7 @@
+             TIO.Put_Line (LAT.LF & "culprit: " & culprit);
+             TIO.Put_Line ("  Scan aborted " & issue_msg & ".");
+             TIO.Put_Line ("  " & exmsg);
++            CLI.Set_Exit_Status (CLI.Failure);
+          end abort_now;
+       begin
+          make_queue (lot).Iterate (populate'Access);
diff --git a/ports-mgmt/synth/files/patch-local-src-replicant.adb-boot-opt b/ports-mgmt/synth/files/patch-local-src-replicant.adb-boot-opt
new file mode 100644
index 000000000000..1a22855d579c
--- /dev/null
+++ b/ports-mgmt/synth/files/patch-local-src-replicant.adb-boot-opt
@@ -0,0 +1,19 @@
+--- src/replicant.adb	2019-01-30 15:42:12.000000000 +0100
++++ src/replicant.adb	2020-03-04 18:38:10.732872000 +0100
+@@ -1170,6 +1170,8 @@
+                                 mount_point => location (slave_base, boot));
+                   mount_tmpfs (slave_base & root_boot_fw, 100);
+                   mount_tmpfs (slave_base & root_kmodules, 100);
++                  --  /boot/opt must already exist in LiveSystem for this to succeed.
++                  mount_tmpfs (slave_base & root_boot_opt, 100);
+                end if;
+             end;
+             declare
+@@ -1287,6 +1289,7 @@
+                unmount (location (slave_base, usr_lib32));
+             end if;
+             if AD.Exists (location (dir_system, boot)) then
++               unmount (slave_base & root_boot_opt);
+                unmount (slave_base & root_kmodules);
+                unmount (slave_base & root_boot_fw);
+                unmount (location (slave_base, boot));
diff --git a/ports-mgmt/synth/files/patch-local-src-replicant.adb-construction-localbase-tmpfs b/ports-mgmt/synth/files/patch-local-src-replicant.adb-construction-localbase-tmpfs
new file mode 100644
index 000000000000..77582da95758
--- /dev/null
+++ b/ports-mgmt/synth/files/patch-local-src-replicant.adb-construction-localbase-tmpfs
@@ -0,0 +1,19 @@
+--- src/replicant.adb.orig	2021-04-09 13:28:56.000000000 +0200
++++ src/replicant.adb	2021-04-11 18:09:38.633029000 +0200
+@@ -1103,14 +1103,14 @@
+ 
+       if PM.configuration.tmpfs_workdir then
+          --  The mount cap of 16Gb was removed; rust was the latest port to bust it
+-         mount_tmpfs (location (slave_base, wrkdirs));
++         mount_tmpfs (location (slave_base, wrkdirs), 64 * 1024);
+       else
+          forge_directory (slave_work);
+          mount_nullfs (slave_work, location (slave_base, wrkdirs), readwrite);
+       end if;
+ 
+       if not support_locks and then PM.configuration.tmpfs_localbase then
+-         mount_tmpfs (slave_base & root_localbase, 12 * 1024);
++         mount_tmpfs (slave_base & root_localbase, 64 * 1024);
+       else
+          forge_directory (slave_local);
+          mount_nullfs (slave_local, slave_base & root_localbase, readwrite);
diff --git a/ports-mgmt/synth/files/patch-local-src-replicant.ads-boot-opt b/ports-mgmt/synth/files/patch-local-src-replicant.ads-boot-opt
new file mode 100644
index 000000000000..0ffd1614361a
--- /dev/null
+++ b/ports-mgmt/synth/files/patch-local-src-replicant.ads-boot-opt
@@ -0,0 +1,10 @@
+--- src/replicant.ads	2019-01-30 15:42:12.000000000 +0100
++++ src/replicant.ads	2020-03-04 18:25:03.431349000 +0100
+@@ -125,6 +125,7 @@
+    root_boot_fw     : constant String := "/boot/firmware";
+    root_kmodules    : constant String := "/boot/modules";
+    root_lmodules    : constant String := "/boot/modules.local";
++   root_boot_opt    : constant String := "/boot/opt";
+    root_root        : constant String := "/root";
+    root_proc        : constant String := "/proc";
+    root_linux       : constant String := "/compat/linux";
diff --git a/ports-mgmt/synth/files/patch-local-www-progress.js b/ports-mgmt/synth/files/patch-local-www-progress.js
new file mode 100644
index 000000000000..fabdde9dd61d
--- /dev/null
+++ b/ports-mgmt/synth/files/patch-local-www-progress.js
@@ -0,0 +1,13 @@
+--- www/progress.js.orig	2019-01-30 15:42:12.000000000 +0100
++++ www/progress.js	2020-12-28 21:46:14.330697000 +0100
+@@ -248,8 +248,8 @@
+ 			{"bSearchable": false, "aTargets": [0,1,6,7]},
+ 		],
+ 		"bStateSave": true, // Enable cookie for keeping state
+-		"aLengthMenu":[10,20,50, 100, 200],
+-		"iDisplayLength": 20,
++		"aLengthMenu":[10,20,50,100,200,500,1000,2000,5000,10000],
++		"iDisplayLength": 5000,
+ 		});
+ 
+ 	update_summary_and_builders();
diff --git a/print/lilypond/Makefile.local b/print/lilypond/Makefile.local
new file mode 100644
index 000000000000..b3309a9faf31
--- /dev/null
+++ b/print/lilypond/Makefile.local
@@ -0,0 +1 @@
+BUILD_DEPENDS+=	gettext-tools>0:devel/gettext-tools
diff --git a/security/greenbone-security-assistant/Makefile b/security/greenbone-security-assistant/Makefile
index 11c72ad5fc9c..d44a656e0295 100644
--- a/security/greenbone-security-assistant/Makefile
+++ b/security/greenbone-security-assistant/Makefile
@@ -10,7 +10,7 @@ COMMENT=	Libraries module for the GVM solution
 
 LICENSE=	AGPLv3+
 
-BUILD_DEPENDS=	node:www/node \
+BUILD_DEPENDS=	node:www/node16 \
 		yarn:www/yarn
 LIB_DEPENDS=	libgvm_base.so:security/gvm-libs \
 		libgnutls.so:security/gnutls \
diff --git a/security/greenbone-security-assistant/files/gsad.in b/security/greenbone-security-assistant/files/gsad.in
index 8de12ff99fa6..07d5df8a636f 100644
--- a/security/greenbone-security-assistant/files/gsad.in
+++ b/security/greenbone-security-assistant/files/gsad.in
@@ -1,7 +1,7 @@
 #!/bin/sh
 
 # PROVIDE: gsad
-# REQUIRE: DAEMON
+# REQUIRE: DAEMON ospd_openvas
 # KEYWORD: shutdown
 #
 # Add the following to /etc/rc.conf[.local] to enable this service
diff --git a/security/gvmd/files/gvmd.in b/security/gvmd/files/gvmd.in
index 17b7ff691eab..ece92fd89394 100644
--- a/security/gvmd/files/gvmd.in
+++ b/security/gvmd/files/gvmd.in
@@ -1,7 +1,7 @@
 #!/bin/sh
 
 # PROVIDE: gvmd
-# REQUIRE: DAEMON
+# REQUIRE: DAEMON postgresql redis
 # KEYWORD: shutdown
 #
 # Add the following to /etc/rc.conf[.local] to enable this service
diff --git a/security/ipv6toolkit/Makefile.local b/security/ipv6toolkit/Makefile.local
new file mode 100644
index 000000000000..291950ae10c5
--- /dev/null
+++ b/security/ipv6toolkit/Makefile.local
@@ -0,0 +1 @@
+CFLAGS+=	-fPIC
diff --git a/security/py-ospd-openvas/files/ospd_openvas.in b/security/py-ospd-openvas/files/ospd_openvas.in
index d4a203fd23af..3f3fb8e80f63 100644
--- a/security/py-ospd-openvas/files/ospd_openvas.in
+++ b/security/py-ospd-openvas/files/ospd_openvas.in
@@ -1,7 +1,7 @@
 #!/bin/sh
 
 # PROVIDE: ospd_openvas
-# REQUIRE: NETWORKING
+# REQUIRE: NETWORKING gvmd
 # KEYWORD: shutdown
 #
 # Configuration settings for ospd_openvas in /etc/rc.conf:
diff --git a/sysutils/etc_os-release/Makefile b/sysutils/etc_os-release/Makefile
index 848606c79982..c549c9923e61 100644
--- a/sysutils/etc_os-release/Makefile
+++ b/sysutils/etc_os-release/Makefile
@@ -35,7 +35,7 @@ CONTENTS=	'NAME=FreeBSD\0'$\
 # FreeBSD base gained /etc/os-release in r354922, which
 # corresponds to __FreeBSD_version 1300060
 .if ${OSVERSION} >= 1300060
-IGNORE=		/etc/os-release is present in base
+#IGNORE=		/etc/os-release is present in base
 .endif
 
 do-install:
